apistockdocs
API reference/Auth

Add a passkey

POST/v1/auth/passkeys

Send the browser's response to the registration options. Verifies this session with a second factor; the account's first second factor also returns recovery codes.

bearer auth

Request body application/json · required

ceremony_tokenstringrequired
max length 256
credentialobjectrequired

The PublicKeyCredential from navigator.credentials.create(), as JSON (PublicKeyCredential.toJSON())

namestring

A label to recognise it by; default Passkey

max length 100

Responses

201Createdapplication/json
passkeyobjectrequired
backed_upbooleanrequired

Synced to the user's other devices by their passkey provider

created_atstring (date-time)required
idstringrequired
last_used_atstring (date-time)
namestringrequired
recovery_codesarray of string

When this passkey is the account's first second factor: 10 single-use codes, shown once

401Unauthorizedapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

409Conflictapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

422Unprocessable Entityapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

500Internal Server Errorapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

503Service Unavailableapplication/problem+json
codestringrequired

Stable machine-readable error code

detailstring

Human-readable explanation

errorsarray of object

Field-level validation errors

request_idstring

Correlates with server logs and traces

statusinteger (int64)required

HTTP status code

titlestringrequired

Short summary of the problem type

typestring

URI identifying the problem type

v0.5
esc
↑↓ move↵ openesc close